# Contributing

Thank you for considering contributing to our project! We appreciate your time and
effort. Here are some guidelines to help you get started.

## 🤔 How can I contribute?

### 🐛 Reporting bugs

**Check the issues**: Before creating a new issue, please search existing issues to see
if it has already been reported.

**Create an issue**: If you're unable to find an open issue addressing the problem,
open a new one. Be sure to include a title and clear description, as much relevant
information as possible, and a code sample or an executable test case demonstrating
the expected behavior that is not occurring.

### ✨ Suggesting enhancements

**Create an issue**: Suggest your enhancement by creating an issue. Provide a clear and
detailed description of the suggested enhancement.

### 📝 Pull requests

#### 💻 Setting up your environment

This project uses [Poetry](https://python-poetry.org/) for dependency management. To
install the project dependencies, in a virtual environment run:

```bash
poetry install
```

Please fork the repository and create a new branch for your contribution. After making
your changes, run the tests to ensure that your changes do not break the existing
functionality. To learn more about the tests this project uses, please review the
[Testing](../tests/README.md) section.

Submit a pull request with your changes. Be sure to include a clear description of the
changes and the issue they may address.
